Subject: bug#10734: Proposal: comint-history-read-only

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 24 Feb 2016 17:44:51 +1100

Zachary Kanfer <[email-masked]> writes:

> This patch proposes a new feature in comint mode. Currently, setting
> comint-prompt-read-only to some non-nil value makes the prompt
> read-only, but this only makes the prompt read-only. I don't find it
> useful to insert text into the middle of a historical buffer, so I
> added a new variable comint-history-read-only. If set to non-nil, this
> variable makes the entire history read-only.

I think this probably makes sense...  Most process oriented mode are
quite read-only, except for the line you're typing on.

> + (defcustom comint-history-read-only nil
> +   "If non-nil, all comint history is read only."
> +   :type 'boolean
> +   :group 'comint)

This might even default to t?

It needs updating in the Emacs manual and an etc/NEWS entry, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no